import 'package:dio/dio.dart';

const String SESSION_TOKEN = "sessionToken";

class UserAcceptEnrollmentFormResponse {
  final String? sessionToken;

  UserAcceptEnrollmentFormResponse({
    this.sessionToken,
  });

  factory UserAcceptEnrollmentFormResponse.fromResponse(
      Response<dynamic> response) {
    final Map<String, dynamic> json = response.data;
    return UserAcceptEnrollmentFormResponse(
      sessionToken: json[SESSION_TOKEN],
    );
  }
}
