import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class UserLoginRequest {
  final String externalId;
  final String? email;
  final String? referralCode;
  final List<String>? legalDocsIds;

  UserLoginRequest({
    required this.externalId,
    required this.email,
    required this.referralCode,
    required this.legalDocsIds,
  });

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.EXTERNAL_ID] = externalId;
    data[Constants.EMAIL] = email;
    data[Constants.REFERRAL_CODE] = referralCode;
    data[Constants.LEGAL_DOCS_IDS] = legalDocsIds;
    return data;
  }
}
