import json, glob, os, collections
from collections import OrderedDict

folder_path = 'lib/src/core/l10n/'

dataToWrite = {}
with open(os.path.join(folder_path,'intl_messages.arb')) as json_file:
	dataToWrite = json.load(json_file)

# for filename in glob.glob(os.path.join(folder_path, 'intl_*.arb')):
for filename in glob.glob(os.path.join(folder_path, 'intl_en.arb')):
	if filename != os.path.join(folder_path,'intl_messages.arb'):
		with open(filename, 'r+', encoding='utf-8') as json_file:
			currentJson = json.load(json_file, object_pairs_hook=OrderedDict)
			for item in dataToWrite:
				if item not in currentJson:
					currentJson[item] = dataToWrite[item]
				elif item == '@@last_modified':
					currentJson[item] = dataToWrite[item]
			updatedCurrentJson = currentJson.copy()
			for item in currentJson:
				if item not in dataToWrite:
					del updatedCurrentJson[item]
			jsonString = json.dumps(updatedCurrentJson, indent=2, ensure_ascii=False)
			json_file.seek(0)
			json_file.write(jsonString)
			json_file.truncate()